Description

There is a crash on OS X which | cannot consistently reproduce but it happens very often (for me KSP crashes approximately once
an hour). | suspect it might be related to the fact that | run it on OS X on a MacBook Pro without an external mouse but with a touch
pad.

The crash is related to the input handling (crash inside "InputReadMousePosition" function, see attached crashlog for more details)
and possibly is triggered by two-finger scrolling on a touchpad.

Hopefully the attached crashlog can pinpoint the issue.

History

#1 - 11/28/2014 07:03 AM - Squelch

- Status changed from New to Need More Info

Thanks for the report, but the crash dump alone gives little indication as to the cause. Could you please upload your ksp log too so we might get a
fuller picture.

On OSX, the log can be found as Player.log in /Library/Logs/Unity/Player.log

A full guide to bug reporting can be found here for your information.

#2 - 12/13/2014 08:19 PM - Tape

Not exactly related to the issue you had with InputReadMousePosition but | am crashing about every hour as well on a vanilla install due to failed
allocations, sometimes more frequently depending on if there is ground clutter. | did a tail -f on my Player.log to attempt to isolate an exact issue and
my game halts at these lines.

KSP (13250, 0xa06b21d4) malloc: *** mach_vm_map(size=4198400) failed (error code=3)
*** error: can't allocate region

*** set a breakpoint in malloc_error_break to debug

KSP (13250, 0xa06b21d4) malloc: *** mach_vm_map(size=4198400) failed (error code=3)
*** error: can't allocate region

*** set a breakpoint in malloc_error_break to debug

KSP (13250, 0xa06b21d4) malloc: *** mach_vm_map(size=2101248) failed (error code=3)
*** error: can't allocate region

*** set a breakpoint in malloc_error_break to debug

Receiving unhandled NULL exception

Obtained 12 stack frames.

Edit for clarification: These are the only lines | get, there's no actual stack unfortunately.

#3 - 07/17/2016 09:27 AM - TriggerAu

- Status changed from Need More Info to Needs Clarification

#4 - 08/09/2016 11:30 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100
http://forum.kerbalspaceprogram.com/threads/92230-Stock-Support-Bug-Reporting-Guide

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
